# ------------------------------------------------------------
#
#  Spectre FreeType config
#
# ------------------------------------------------------------

set(FT2_SOURCE
	src/autofit/autofit.c
	src/base/ftbase.c
	src/base/ftbbox.c
	src/base/ftbdf.c
	src/base/ftbitmap.c
	src/base/ftcid.c
	src/base/ftfstype.c
	src/base/ftgasp.c
	src/base/ftglyph.c
	src/base/ftgxval.c
	src/base/ftinit.c
	src/base/ftmm.c
	src/base/ftotval.c
	src/base/ftpatent.c
	src/base/ftpfr.c
	src/base/ftstroke.c
	src/base/ftsynth.c
	src/base/ftsystem.c
	src/base/fttype1.c
	src/base/ftwinfnt.c
	src/cff/cff.c
	src/psaux/psaux.c
	src/pshinter/pshinter.c
	src/psnames/psnames.c
	src/raster/raster.c
	src/sfnt/sfnt.c
	src/smooth/smooth.c
	src/truetype/truetype.c
)

add_library( freetype OBJECT ${FT2_SOURCE} )
target_include_directories(freetype PUBLIC ${CMAKE_CURRENT_LIST_DIR}/include)
target_compile_definitions(freetype PRIVATE FT2_BUILD_LIBRARY)
